Last Comment Bug 697177 - TEST-UNEXPECTED-FAIL | /tests/dom/indexedDB/test/test_setVersion_exclusion.html | This test left crash dumps behind, but we weren't expecting it to!
: TEST-UNEXPECTED-FAIL | /tests/dom/indexedDB/test/test_setVersion_exclusion.ht...
Status: RESOLVED FIXED
[test which aborts the suite]
: intermittent-failure
Product: Core
Classification: Components
Component: DOM: IndexedDB (show other bugs)
: unspecified
: x86 Windows Server 2008
: -- critical (vote)
: ---
Assigned To: Kyle Huey [:khuey] (khuey@mozilla.com)
:
Mentors:
Depends on:
Blocks: 438871 692991
  Show dependency treegraph
 
Reported: 2011-10-25 10:41 PDT by Paul O'Shannessy [:zpao] (not reading much bugmail, email directly)
Modified: 2012-11-25 19:31 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Paul O'Shannessy [:zpao] (not reading much bugmail, email directly) 2011-10-25 10:41:59 PDT
This happened after merging m-c into fx-team with the new patch from bug 692991 that was supposed to fix this (and appears to have on m-c).

https://tbpl.mozilla.org/php/getParsedLog.php?id=7023223&tree=Fx-Team

Rev3 WINNT 6.1 fx-team opt test mochitests-2/5 on 2011-10-25 09:28:44 PDT for push 5be6d907fa3b

3023 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/indexedDB/test/test_setVersion_exclusion.html | This test left crash dumps behind, but we weren't expecting it to!
TEST-UNEXPECTED-FAIL | /tests/dom/indexedDB/test/test_success_events_after_abort.html | Exited with code -2147483645 during test run
PROCESS-CRASH | /tests/dom/indexedDB/test/test_success_events_after_abort.html | application crashed (minidump found)
Comment 1 Kyle Huey [:khuey] (khuey@mozilla.com) 2011-10-25 10:44:41 PDT
This is more releasing off the main thread stuff, so apparently we're not always calling ReleaseMainThreadObjects.
Comment 2 Treeherder Robot 2011-10-25 18:16:18 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=7029194&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound opt test mochitests-2/5 on 2011-10-25 17:43:50

TEST-UNEXPECTED-FAIL | /tests/dom/indexedDB/test/test_setVersion_exclusion.html | Exited with code -2147483645 during test run
PROCESS-CRASH | /tests/dom/indexedDB/test/test_setVersion_exclusion.html | application crashed (minidump found)
Comment 3 Ed Morley [:emorley] 2011-10-25 18:19:21 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=7029211&tree=Mozilla-Inbound

3023 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/indexedDB/test/test_setVersion_exclusion.html | This test left crash dumps behind, but we weren't expecting it to!
TEST-UNEXPECTED-FAIL | /tests/dom/indexedDB/test/test_success_events_after_abort.html | Exited with code -2147483645 during test run
PROCESS-CRASH | /tests/dom/indexedDB/test/test_success_events_after_abort.html | application crashed (minidump found)
Comment 4 Treeherder Robot 2011-10-25 19:43:01 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=7030372&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound opt test mochitests-2/5 on 2011-10-25 18:52:54

3023 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/indexedDB/test/test_setVersion_exclusion.html | This test left crash dumps behind, but we weren't expecting it to!
TEST-UNEXPECTED-FAIL | /tests/dom/indexedDB/test/test_success_events_after_abort.html | Exited with code -2147483645 during test run
PROCESS-CRASH | /tests/dom/indexedDB/test/test_success_events_after_abort.html | application crashed (minidump found)
Comment 5 Treeherder Robot 2011-10-25 19:56:48 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=7031034&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound opt test mochitests-2/5 on 2011-10-25 19:43:45

3023 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/indexedDB/test/test_setVersion_exclusion.html | This test left crash dumps behind, but we weren't expecting it to!
TEST-UNEXPECTED-FAIL | /tests/dom/indexedDB/test/test_success_events_after_abort.html | Exited with code -2147483645 during test run
PROCESS-CRASH | /tests/dom/indexedDB/test/test_success_events_after_abort.html | application crashed (minidump found)
Comment 6 Treeherder Robot 2011-10-25 19:57:37 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=7031040&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound opt test mochitests-2/5 on 2011-10-25 19:43:50

TEST-UNEXPECTED-FAIL | /tests/dom/indexedDB/test/test_setVersion_exclusion.html | Exited with code -2147483645 during test run
PROCESS-CRASH | /tests/dom/indexedDB/test/test_setVersion_exclusion.html | application crashed (minidump found)
Comment 7 Treeherder Robot 2011-10-25 20:40:21 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=7030067&tree=Firefox
Rev3 WINNT 5.1 mozilla-central opt test mochitests-2/5 on 2011-10-25 18:39:45

TEST-UNEXPECTED-FAIL | /tests/dom/indexedDB/test/test_setVersion_exclusion.html | Exited with code -2147483645 during test run
PROCESS-CRASH | /tests/dom/indexedDB/test/test_setVersion_exclusion.html | application crashed (minidump found)
Comment 8 Treeherder Robot 2011-10-25 21:18:07 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=7032266&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound opt test mochitests-2/5 on 2011-10-25 21:01:38

TEST-UNEXPECTED-FAIL | /tests/dom/indexedDB/test/test_setVersion_exclusion.html | Exited with code -2147483645 during test run
PROCESS-CRASH | /tests/dom/indexedDB/test/test_setVersion_exclusion.html | application crashed (minidump found)
Comment 9 Treeherder Robot 2011-10-25 21:22:53 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=7032380&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound opt test mochitests-2/5 on 2011-10-25 21:08:54

3023 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/indexedDB/test/test_setVersion_exclusion.html | This test left crash dumps behind, but we weren't expecting it to!
TEST-UNEXPECTED-FAIL | /tests/dom/indexedDB/test/test_success_events_after_abort.html | Exited with code -2147483645 during test run
PROCESS-CRASH | /tests/dom/indexedDB/test/test_success_events_after_abort.html | application crashed (minidump found)
Comment 10 Treeherder Robot 2011-10-25 22:05:20 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=7032932&tree=Firefox
Rev3 WINNT 6.1 mozilla-central pgo test mochitests-2/5 on 2011-10-25 21:42:26

3023 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/indexedDB/test/test_setVersion_exclusion.html | This test left crash dumps behind, but we weren't expecting it to!
TEST-UNEXPECTED-FAIL | /tests/dom/indexedDB/test/test_success_events_after_abort.html | Exited with code -2147483645 during test run
PROCESS-CRASH | /tests/dom/indexedDB/test/test_success_events_after_abort.html | application crashed (minidump found)
Comment 11 Treeherder Robot 2011-10-25 23:09:00 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=7033824&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound opt test mochitests-2/5 on 2011-10-25 22:55:13

3023 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/indexedDB/test/test_setVersion_exclusion.html | This test left crash dumps behind, but we weren't expecting it to!
TEST-UNEXPECTED-FAIL | /tests/dom/indexedDB/test/test_success_events_after_abort.html | Exited with code -2147483645 during test run
PROCESS-CRASH | /tests/dom/indexedDB/test/test_success_events_after_abort.html | application crashed (minidump found)
Comment 12 Treeherder Robot 2011-10-25 23:23:38 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=7033956&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound opt test mochitests-2/5 on 2011-10-25 23:05:29

TEST-UNEXPECTED-FAIL | /tests/dom/indexedDB/test/test_setVersion_exclusion.html | Exited with code -2147483645 during test run
PROCESS-CRASH | /tests/dom/indexedDB/test/test_setVersion_exclusion.html | application crashed (minidump found)
Comment 13 Treeherder Robot 2011-10-26 03:28:08 PDT
bill%wg9s.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=7035736&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound opt test mochitests-2/5 on 2011-10-26 03:11:57

3023 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/indexedDB/test/test_setVersion_exclusion.html | This test left crash dumps behind, but we weren't expecting it to!
TEST-UNEXPECTED-FAIL | /tests/dom/indexedDB/test/test_success_events_after_abort.html | Exited with code -2147483645 during test run
PROCESS-CRASH | /tests/dom/indexedDB/test/test_success_events_after_abort.html | application crashed (minidump found)
Comment 14 Treeherder Robot 2011-10-26 03:42:04 PDT
bill%wg9s.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=7035865&tree=Firefox
Rev3 WINNT 5.1 mozilla-central pgo test mochitests-2/5 on 2011-10-26 03:24:28

TEST-UNEXPECTED-FAIL | /tests/dom/indexedDB/test/test_setVersion_exclusion.html | Exited with code -2147483645 during test run
PROCESS-CRASH | /tests/dom/indexedDB/test/test_setVersion_exclusion.html | application crashed (minidump found)
Comment 15 Treeherder Robot 2011-10-26 06:47:54 PDT
bill%wg9s.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=7037766&tree=Firefox
Rev3 WINNT 6.1 mozilla-central pgo test mochitests-2/5 on 2011-10-26 06:29:51

3023 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/indexedDB/test/test_setVersion_exclusion.html | This test left crash dumps behind, but we weren't expecting it to!
TEST-UNEXPECTED-FAIL | /tests/dom/indexedDB/test/test_success_events_after_abort.html | Exited with code -2147483645 during test run
PROCESS-CRASH | /tests/dom/indexedDB/test/test_success_events_after_abort.html | application crashed (minidump found)
Comment 16 Treeherder Robot 2011-10-26 08:04:45 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=7037300&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound opt test mochitests-2/5 on 2011-10-26 05:50:45

3023 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/indexedDB/test/test_setVersion_exclusion.html | This test left crash dumps behind, but we weren't expecting it to!
TEST-UNEXPECTED-FAIL | /tests/dom/indexedDB/test/test_success_events_after_abort.html | Exited with code -2147483645 during test run
PROCESS-CRASH | /tests/dom/indexedDB/test/test_success_events_after_abort.html | application crashed (minidump found)
Comment 17 Treeherder Robot 2011-10-26 08:10:59 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=7038377&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound pgo test mochitests-2/5 on 2011-10-26 07:08:00

TEST-UNEXPECTED-FAIL | /tests/dom/indexedDB/test/test_setVersion_exclusion.html | Exited with code -2147483645 during test run
PROCESS-CRASH | /tests/dom/indexedDB/test/test_setVersion_exclusion.html | application crashed (minidump found)
Comment 18 Treeherder Robot 2011-10-26 09:44:55 PDT
jwalker%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=7040063&tree=Fx-Team
Rev3 WINNT 6.1 fx-team opt test mochitests-2/5 on 2011-10-26 09:26:48

3023 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/indexedDB/test/test_setVersion_exclusion.html | This test left crash dumps behind, but we weren't expecting it to!
TEST-UNEXPECTED-FAIL | /tests/dom/indexedDB/test/test_success_events_after_abort.html | Exited with code -2147483645 during test run
PROCESS-CRASH | /tests/dom/indexedDB/test/test_success_events_after_abort.html | application crashed (minidump found)
Comment 19 Treeherder Robot 2011-10-26 10:00:56 PDT
jwalker%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=7040238&tree=Fx-Team
Rev3 WINNT 6.1 fx-team opt test mochitests-2/5 on 2011-10-26 09:45:28

3023 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/indexedDB/test/test_setVersion_exclusion.html | This test left crash dumps behind, but we weren't expecting it to!
TEST-UNEXPECTED-FAIL | /tests/dom/indexedDB/test/test_success_events_after_abort.html | Exited with code -2147483645 during test run
PROCESS-CRASH | /tests/dom/indexedDB/test/test_success_events_after_abort.html | application crashed (minidump found)
Comment 20 Treeherder Robot 2011-10-26 10:03:39 PDT
jwalker%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=7024374&tree=Fx-Team
Rev3 WINNT 6.1 fx-team opt test mochitests-2/5 on 2011-10-25 10:43:43

3023 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/indexedDB/test/test_setVersion_exclusion.html | This test left crash dumps behind, but we weren't expecting it to!
TEST-UNEXPECTED-FAIL | /tests/dom/indexedDB/test/test_success_events_after_abort.html | Exited with code -2147483645 during test run
PROCESS-CRASH | /tests/dom/indexedDB/test/test_success_events_after_abort.html | application crashed (minidump found)
Comment 21 Kyle Huey [:khuey] (khuey@mozilla.com) 2011-10-26 12:00:52 PDT
Test disabled

https://hg.mozilla.org/mozilla-central/rev/e1ae143cc842

I think this is hitting the known race problems with multiple opens.
Comment 22 Treeherder Robot 2011-10-26 13:32:46 PDT
bill%wg9s.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=7042457&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound opt test mochitests-2/5 on 2011-10-26 13:11:45

3023 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/indexedDB/test/test_setVersion_exclusion.html | This test left crash dumps behind, but we weren't expecting it to!
TEST-UNEXPECTED-FAIL | /tests/dom/indexedDB/test/test_success_events_after_abort.html | Exited with code -2147483645 during test run
PROCESS-CRASH | /tests/dom/indexedDB/test/test_success_events_after_abort.html | application crashed (minidump found)
Comment 23 Treeherder Robot 2011-10-26 13:32:47 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=7042457&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound opt test mochitests-2/5 on 2011-10-26 13:11:45

3023 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/indexedDB/test/test_setVersion_exclusion.html | This test left crash dumps behind, but we weren't expecting it to!
TEST-UNEXPECTED-FAIL | /tests/dom/indexedDB/test/test_success_events_after_abort.html | Exited with code -2147483645 during test run
PROCESS-CRASH | /tests/dom/indexedDB/test/test_success_events_after_abort.html | application crashed (minidump found)
Comment 24 Treeherder Robot 2011-10-26 18:27:09 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=7049294&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound opt test mochitests-2/5 on 2011-10-26 18:09:31

3023 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/indexedDB/test/test_setVersion_exclusion.html | This test left crash dumps behind, but we weren't expecting it to!
TEST-UNEXPECTED-FAIL | /tests/dom/indexedDB/test/test_success_events_after_abort.html | Exited with code -2147483645 during test run
PROCESS-CRASH | /tests/dom/indexedDB/test/test_success_events_after_abort.html | application crashed (minidump found)
Comment 25 Treeherder Robot 2011-10-26 19:47:42 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=7051270&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound opt test mochitests-2/5 on 2011-10-26 19:35:16

TEST-UNEXPECTED-FAIL | /tests/dom/indexedDB/test/test_setVersion_exclusion.html | Exited with code -2147483645 during test run
PROCESS-CRASH | /tests/dom/indexedDB/test/test_setVersion_exclusion.html | application crashed (minidump found)
Comment 26 Treeherder Robot 2011-10-26 22:48:24 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=7054615&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound opt test mochitests-2/5 on 2011-10-26 22:32:19

3023 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/indexedDB/test/test_setVersion_exclusion.html | This test left crash dumps behind, but we weren't expecting it to!
TEST-UNEXPECTED-FAIL | /tests/dom/indexedDB/test/test_success_events_after_abort.html | Exited with code -2147483645 during test run
PROCESS-CRASH | /tests/dom/indexedDB/test/test_success_events_after_abort.html | application crashed (minidump found)
Comment 27 Treeherder Robot 2011-10-27 01:13:05 PDT
mak77%bonardo.net
https://tbpl.mozilla.org/php/getParsedLog.php?id=7055555&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound opt test mochitests-2/5 on 2011-10-27 00:28:45

TEST-UNEXPECTED-FAIL | /tests/dom/indexedDB/test/test_setVersion_exclusion.html | Exited with code -2147483645 during test run
PROCESS-CRASH | /tests/dom/indexedDB/test/test_setVersion_exclusion.html | application crashed (minidump found)
Comment 28 Treeherder Robot 2011-10-27 07:45:33 PDT
msucan
https://tbpl.mozilla.org/php/getParsedLog.php?id=7058698&tree=Fx-Team
Rev3 WINNT 6.1 fx-team opt test mochitests-2/5 on 2011-10-27 05:12:45

3023 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/indexedDB/test/test_setVersion_exclusion.html | This test left crash dumps behind, but we weren't expecting it to!
TEST-UNEXPECTED-FAIL | /tests/dom/indexedDB/test/test_success_events_after_abort.html | application timed out after 330 seconds with no output
Comment 29 Kyle Huey [:khuey] (khuey@mozilla.com) 2011-11-20 13:59:06 PST
This was a synchronization problem in IDB that we fixed in Bug 692991.

Note You need to log in before you can comment on or make changes to this bug.